This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 850179 - Introduce new systemd-rpm macros in kexec-tools spec file
Introduce new systemd-rpm macros in kexec-tools spec file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kexec-tools (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Baoquan He
Fedora Extras Quality Assurance
:
Depends On: 972273 995987
Blocks: 850016 977323
  Show dependency treegraph
 
Reported: 2012-08-21 09:45 EDT by Lukáš Nykrýn
Modified: 2013-08-12 02:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 977323 (view as bug list)
Environment:
Last Closed: 2013-07-08 02:24:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch replaces scriptlets with new systemd macros (1.63 KB, patch)
2012-09-25 04:03 EDT, Václav Pavlín
no flags Details | Diff

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:45:41 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Václav Pavlín 2012-09-25 04:03:33 EDT
Created attachment 616907 [details]
Patch replaces scriptlets with new systemd macros
Comment 2 Fedora Admin XMLRPC Client 2013-02-25 03:06:18 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Baoquan He 2013-06-07 05:44:27 EDT
Hi,

Should I also add an item "enable kdump.service" into 90-default.preset? 

Baoquan
Thanks

Note You need to log in before you can comment on or make changes to this bug.